<?php
/**
 * Upgrade Logic
 * @package     Upgrade
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Upgrade_Logic
{

    /**
     * コンストラクタ
     */
    public function __construct()
    {
        
    }

    /**
     * アップグレード処理実行
     * @param integer $old_num
     * @param integer $new_num
     */
    public function execute_upgrade($old_num, $new_num)
    {
        // スキーマ情報取得
        $meinfo_dao = new Meinfo_Dao();
        $meinfo = $meinfo_dao->select(1, 'Meinfo');

        // 各アップグレードメソッドを実行する
        for ($i = ++$old_num; $i <= $new_num; $i++) {
            $method = 'upgrade_' . $i;
            $this->$method();

            // DBのスキーマバージョンを上げる
            $meinfo->schema_version = $i;
            $meinfo_dao->update($meinfo);

            // アップグレードしたことを表示する。
            echo 'スキーマバージョンを ' . $i . ' にアップグレードしました。<br>';
            // ログ書き出し
            Me_Logger::log(1351, $i);
        }
    }

    /**
     * スキーマバージョン2へのアップグレード処理
     */
    private function upgrade_2()
    {
        // DBスキーマ変更
        // SQL文
        $query_list = array(
            'ALTER TABLE template ADD COLUMN main_template TEXT;',
            'ALTER TABLE template ADD COLUMN cond TEXT;',
            'ALTER TABLE page ADD COLUMN char_code TEXT;',
            "ALTER TABLE user ADD COLUMN default_access TEXT DEFAULT 'allow';",
            'ALTER TABLE user ADD COLUMN path_config TEXT;',
        );
        // SQL実行
        $sql = new Me_Sql();
        foreach ($query_list as $query) {
            $sql->set_query($query);
            $sql->exec();
        }

        // ディレクトリ作成
        $dir_path = DATA_ROOT . '/log'; 
        if (!file_exists($dir_path) && !mkdir($dir_path, 0755, true)) {
            throw new Me_Exception(301, $dir_path);
        }
    }
}