<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title>システム設定 - MicroEngine インストーラー</title>
<link href="../../app/assets/css/me_install.css?v=<?php h::p(SCRIPT_VERSION) ?>" rel="stylesheet">
<script src="../../app/assets/js/me.install.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    $('#navi_system_setting').addClass('install_navi_now');
});
//-->
</script>
<meta name="robots" content="noindex,nofollow,noarchive">
</head>
<body>
<?php h::render('/Common/header_simple.php') ?>
<div class="main">
<?php h::render('/Install/install_navi.php') ?>
<hr>

<div class="error"><?php h::p($errors['message']) ?></div>
<form method="post" action="../Install/post_system_setting">
<table class="install_system_setting">
<tr>
<th>document_root</th>
<td>
<input type="text" id="document_root" name="document_root" size="50" value="<?php h::p($system_setting['document_root']) ?>">
<div class="error"><?php h::p($errors['document_root']) ?></div>
</td>
</tr>
<tr>
<td colspan="2" class="small">
Webサーバーのドキュメントルートを指定する。<br>
例（$_SERVER変数の値）：<?php h::p($_SERVER['DOCUMENT_ROOT']) ?><br>
※この値を空にすると実行時にPHPの$_SERVER変数の値を取得します。空にすると運用環境を移行する際の設定変更が不要になり便利です。<br>
ただし、PHPの$_SERVER変数が正しいドキュメントルートを返さないサーバーが稀に存在するため、その場合は値を指定してください。
</td>
</tr>
<tr>
<th>site_path</th>
<td>
<input type="text" id="site_path" name="site_path" value="<?php h::p($system_setting['site_path']) ?>">
<div class="error"><?php h::p($errors['site_path']) ?></div>
</td>
</tr>
<tr>
<td colspan="2" class="small">
CMS管理対象ディレクトリのドキュメントルートからのパスを指定する。<br>
ドキュメントルート直下のファイルも管理対象に含める場合は "/" を指定します。<br>
例：/<br>
特定のディレクトリ配下のみを管理対象にする場合は次のように指定します。<br>
例：/news<br>
<div class="require">
※注意事項 site_pathで指定したディレクトリ配下の既存のコンテンツ（HTML）を元にシステムを構築します。<br>
既存コンテンツがない場合は、パッケージに含まれる me_demo ディレクトリをsite_pathディレクトリに配置して試用してください。
</div>
</td>
</tr>
</table>

<hr>
<p>設定内容を、次のファイルに書き込みます。<br>
<?php h::p(DATA_ROOT) ?>/config/user_config.ini</p>

<hr>
<button type="button" class="install_button" onclick="location.href='../Install/env_check';">戻る</button>
<button type="submit" class="install_button">設定する</button>
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</div>
<?php h::render('/Common/footer.php') ?>
</body>
</html>